The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Action on Multiple Blocked Hashes

Prev Next

This URL moves the given hashes into allow list.

Resource URL

PUT /advancedmalware/blockedhashes/multipleHash/takeaction/allow

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

hashes

List of file hashes

StringList

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Status

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/advancedmalware/blockedhashes/multipleHash/takeaction/allow

Payload

{
"hashes": ["1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa16", 
"1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa17",
"1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa18"]
}

Response

{
“status”:1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

4903

Invalid action

2

400

3401

Invalid filehash value